Page MenuHomePhabricator

Review and deploy ImageMetrics extension to Wikimedia wikis
Closed, ResolvedPublic

Description

[[mw:Extension:ImageMetrics]] will be used to collect additional data about image performance and (eventually - not implemented yet) about how users interact with media. It does not alter the behavior of the wiki, so there should be no need for community consensus or design review.

Security summary: all data collection is done via EventLogging, and data will be used internally or published via limn.

Performance summary: the extension has a similar architecture to NavigationTiming, except it lazy-loads the main script. Currently it consists of a ~300 byte top script which sets up pre-domready event handling, a ¬300-byte bottom script which deals with request sampling, and a ~2K main script which is lazy-loaded when the request is sampled and uses EventLogging to log image load performance data. Currently the scripts are only loaded on file pages, but I intend to change that as more functionality is added.

The code has already been reviewed internally by the Multimedia team.

After deployment, $wgImageMetricsSamplingFactor should be set to a suitable value (1000, probably).

Related Mingle card: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/816


Version: wmf-deployment
Severity: normal
URL: https://www.mediawiki.org/wiki/Extension:ImageMetrics

Details

Reference
bz70402

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz70402.
bzimport added a subscriber: Unknown Object (MLST).
Tgr created this task.Sep 4 2014, 3:43 PM

Where are this extension's bug reports tracked?
Also see [[mw:Bug management/Project Maintainers]].

Tgr added a comment.Sep 7 2014, 8:21 PM

(In reply to Andre Klapper from comment #1)

Where are this extension's bug reports tracked?

Thanks for pointing that out!
Filed bug 70535 about the Bugzilla component.

greg added a comment.Oct 2 2014, 9:17 PM

Alright, let's schedule this. Gergo: what time/week works well for you? Do you want to just turn it on for all wikis at once?

Tgr added a comment.Oct 5 2014, 7:30 AM

Blocked on https://gerrit.wikimedia.org/r/#/c/164427/ at the moment (and that one is blocked on some sort of CI issue).

Tgr added a comment.Oct 8 2014, 9:33 PM

(In reply to Tisza Gergő from comment #4)

Blocked on https://gerrit.wikimedia.org/r/#/c/164427/ at the moment (and
that one is blocked on some sort of CI issue).

That was bug 71782.

greg added a comment.Oct 8 2014, 10:17 PM

So we're good then?

(In reply to Greg Grossmeier from comment #3)

Alright, let's schedule this. Gergo: what time/week works well for you? Do
you want to just turn it on for all wikis at once?

:)

gerritadmin wrote:

Change 167722 had a related patch set uploaded by Gergő Tisza:
Add ImageMetrics submodule

https://gerrit.wikimedia.org/r/167722

gerritadmin wrote:

Change 167722 abandoned by Gergő Tisza:
Add ImageMetrics submodule

Reason:
Oops, got used to -a.

https://gerrit.wikimedia.org/r/167722

gerritadmin wrote:

Change 167723 had a related patch set uploaded by Gergő Tisza:
Add ImageMetrics submodule

https://gerrit.wikimedia.org/r/167723

gerritadmin wrote:

Change 167724 had a related patch set uploaded by Gergő Tisza:
Add ImageMetrics submodule

https://gerrit.wikimedia.org/r/167724

gerritadmin wrote:

Change 167727 had a related patch set uploaded by Gergő Tisza:
Add ImageMetrics extension

https://gerrit.wikimedia.org/r/167727

gerritadmin wrote:

Change 167728 had a related patch set uploaded by Gergő Tisza:
Preparation to deploy Imagmetrics extension

https://gerrit.wikimedia.org/r/167728

gerritadmin wrote:

Change 167727 merged by jenkins-bot:
Add ImageMetrics extension

https://gerrit.wikimedia.org/r/167727

gerritadmin wrote:

Change 167723 merged by jenkins-bot:
Add ImageMetrics submodule

https://gerrit.wikimedia.org/r/167723

gerritadmin wrote:

Change 167724 merged by jenkins-bot:
Add ImageMetrics submodule

https://gerrit.wikimedia.org/r/167724

gerritadmin wrote:

Change 167728 merged by jenkins-bot:
Preparation to deploy Imagmetrics extension

https://gerrit.wikimedia.org/r/167728